| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# IAuditor.h File Reference

`#include "GaudiKernel/INamedInterface.h"`
`#include <string>`

Include dependency graph for IAuditor.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | IAuditor
| The IAuditor is the interface implmented by the AlgAuditor base class. More...
## Functions
std::ostream & | operator<< (std::ostream &s, IAuditor::StandardEventType e)
## Variables
static const InterfaceID | IID_IAuditor (18, 2, 0)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | IAuditor::StandardEventType | e |
| ) |  |  | `[inline]`

Definition at line 109 of file IAuditor.h.

References IAuditor::BeginRun, IAuditor::EndRun, IAuditor::Execute, IAuditor::Finalize, IAuditor::Initialize, IAuditor::ReInitialize, IAuditor::ReStart, Gaudi::Units::s, IAuditor::Start, and IAuditor::Stop.

    00109                                                                               {
    00110   switch (e) {
    00111     case IAuditor::Initialize   : return s << "Initialize";
    00112     case IAuditor::ReInitialize : return s << "ReInitialize";
    00113     case IAuditor::Execute      : return s << "Execute";
    00114     case IAuditor::BeginRun     : return s << "BeginRun";
    00115     case IAuditor::EndRun       : return s << "EndRun";
    00116     case IAuditor::Finalize     : return s << "Finalize";
    00117     case IAuditor::Start        : return s << "Start";
    00118     case IAuditor::Stop         : return s << "Stop";
    00119     case IAuditor::ReStart      : return s << "ReStart";
    00120   }
    00121   return s; // cannot be reached, but make the compiler happy
    00122 }

## Variable Documentation

const InterfaceID IID_IAuditor(18, 2, 0)`[static]`

Referenced by IAuditor::interfaceID(), and AuditorSvc::queryInterface().